[Overview][Types][Classes][Index] | Reference for unit 'ZStream' (#fcl)

# Edecompressionerror

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Errors in the TDeCompressionStream class are signaled with this exception

## Declaration

Source position: zstream.pp line 109

`type Edecompressionerror = class(Ezliberror)`

## Inheritance

`Edecompressionerror` |  | Errors in the TDeCompressionStream class are signaled with this exception
`Ezliberror` |  | Base exception for exceptions in the ZStream unit
`EStreamError`
`Exception`
`TObject`

## Description

EDecompressionError is the exception class used by the TDeCompressionStream class.